os: Visual Studio 2015

# Clone directly into GOPATH.
clone_folder: C:\gopath\src\github.com\ethereum\go-ethereum
clone_depth: 5
version: "{branch}.{build}"
environment:
  global:
    GOPATH: C:\gopath
    CC: gcc.exe
  matrix:
    - GETH_ARCH: amd64
      MSYS2_ARCH: x86_64
      MSYS2_BITS: 64
      MSYSTEM: MINGW64
      PATH: C:\msys64\mingw64\bin\;C:\Program Files (x86)\NSIS\;%PATH%
    - GETH_ARCH: 386
      MSYS2_ARCH: i686
      MSYS2_BITS: 32
      MSYSTEM: MINGW32
      PATH: C:\msys64\mingw32\bin\;C:\Program Files (x86)\NSIS\;%PATH%

install:
  - rmdir C:\go /s /q
  - appveyor DownloadFile https://storage.googleapis.com/golang/go1.8.windows-%GETH_ARCH%.zip
  - 7z x go1.8.windows-%GETH_ARCH%.zip -y -oC:\ > NUL
  - go version
  - gcc --version

build_script:
  - go run build\ci.go install

after_build:
  - go run build\ci.go archive -type zip -signer WINDOWS_SIGNING_KEY -upload gethstore/builds
  - go run build\ci.go nsis -signer WINDOWS_SIGNING_KEY -upload gethstore/builds

test_script:
  - set CGO_ENABLED=1
  - go run build\ci.go test -vet -coverage
